リリースノート

Mobage JS SDK 3.7.4

2016 年 11 月 17 日に ver 3.7.4 を公開

  • チャット機能の呼び出しに失敗する場合がある問題を修正しました。
     
    ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.7.3

2016 年 10 月 24 日に ver 3.7.3 を公開

  • App Transport Security(ATS) に対応しました
     
    ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.5.0

2016 年 6 月 7 日に ver 3.5.0 を公開

  • mobage.ui.open の payment サービス利用時に開くポップアップの z-index 値を指定できるようになりました
    • mobage.oauth.connect メソッドの payment サービス呼び出し時にパラメータを指定することで、ポップアップの z-index の値が指定できるよう変更になりました。 実装方法の詳細は こちら をご確認ください。
       
      ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.4.0

2016 年 4 月 18 日に ver 3.4.0 を公開

  • ログイン画面のカスタムテーマ機能で会員登録、ピンコード入力画面のCSSが変更可能になりました
    • デベロッパーサイトのCustom Theme機能にてカスタムテーマ用CSSのURLを設定し、mobage.oauth.connect メソッドにパラメータを指定することで、ゲームの世界観に合わせたUIの提供が可能となります。Mobage JS SDK 3.3.0 以前とはテーマの指定方法が変更となっております。実装方法の詳細は こちら をご確認ください。
ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.3.1

2016 年 3 月 25 日に ver 3.3.1 を公開

  • mobage.bank.getPaymentAllTransactionIds() メソッドを追加しました。
ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.3.0

2016 年 3 月 1 日に ver 3.3.0 を公開

  • 友達招待サービスのCSS変更できるカスタムテーマ機能を追加いたしました
ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.2.0

2016 年 1 月 27 日に ver 3.2.0 を公開

  • Shell App SDK アプリの「ゲームポイント購入画面」をカスタマイズできる様に修正しました
    • デベロッパーサイトで設定した上で、mobage.ui.open メソッドの Payment サービスに各種パラメータを追加することでカスタマイズされた「ゲームポイント購入画面」を表示できます。
ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.1.0

2015 年 12 月 22 日に ver 3.1.0 を公開

  • 「ログイン画面」および「NBPF 認可画面」をカスタマイズできる様に修正しました
  • localStorage が使えない Safari Private Mode の時に警告を出せるように修正しました。
    • 以下のように mobage.init を try〜catch 文で囲うことで、例外を受け取ることができるようになります。
      • https://docs.mobage.com/display/JPJSSDK/mobage
ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 3.0.0

2015 年 12 月 18 日に ver 3.0.0 を公開

  • Shell App SDK 1.4.1 以降を利用する際に、アプリにブラウザのログイン状態を引き継げるよう変更
  • Shell App SDK for Android でかんたん会員作成に対応
    ただし、Shell App SDK については 1.4.1 以上のバージョンを使用する必要があります。

Mobage JS SDK 2.18.0

2015 年 10 月 13 日に ver 2.18.0 を公開

  • Shell App SDK for Android でゲームポイントを購入する際の、「よくある質問」と「注意事項 (必読)」のリンクの URL を変更致しました。
ただし、Shell App SDK については 1.4.0 以上のバージョンを使用する必要があります。

Mobage JS SDK 2.17.0

2015 年 6 月 4 日に ver 2.17.0 を公開

  • Shell App SDK において、Chat ウィジェットを使用した時に一部機能が動作しない不具合を修正しました。
    ただし、Shell App SDK については 1.3.3 以上のバージョンを使用する必要があります。

Mobage JS SDK 2.15.1

2015 年 4 月 22 日に ver 2.15.1 を公開

  • Shell App SDK において、Chat ウィジェットを使用した時に一部機能が動作しない不具合を修正しました。
    ただし、Shell App SDK については 1.3.3 以上のバージョンを使用する必要があります。

Mobage JS SDK 2.15.0

2015年4月8日にver2.15.0を公開

Mobage JS SDK 2.10.0

2015年1月15日にver2.10.0を公開

Mobage JS SDK 2.8.0

2014年11月27日にver2.8.0を公開

Mobage JS SDK 2.5.0

2014年10月22日にver2.5.0を公開

Mobage JS SDK 2.3.0

2014年10月8日にver2.3.0を公開


※ SDKの利用方法につきましては ドキュメント をご確認ください。

PREVIOUS

Bank Inventory

NEXT

Shell App SDK 開発ドキュメント